Name:          plantuml
Version:       1.2024.2
Release:       1mamba
Summary:       Generate diagrams from textual description
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://plantuml.com/
Source:        https://github.com/plantuml/plantuml/releases/download/v%{version}/plantuml-%{version}.jar
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      java-runtime

%description
Generate diagrams from textual description.

%prep

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0644 %{SOURCE0} %{buildroot}%{_javadir}/plantuml-%{version}.jar

ln -sf plantuml-%{version}.jar %{buildroot}%{_javadir}/plantuml.jar

install -d -m0755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/plantuml << __EOF
#!/bin/sh
exec %{_bindir}/java -jar '%{_javadir}/plantuml.jar' "\$@"
__EOF
chmod +x %{buildroot}%{_bindir}/plantuml

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/plantuml
%{_javadir}/plantuml-%{version}.jar
%{_javadir}/plantuml.jar

%changelog
* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 1.2024.2-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 1.2024.1-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 1.2024.0-1mamba
- automatic version update by autodist

* Tue Dec 12 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.13-1mamba
- automatic version update by autodist

* Sat Oct 21 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.12-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.11-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.10-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.9-1mamba
- automatic version update by autodist

* Mon May 22 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.8-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.7-1mamba
- automatic version update by autodist

* Wed Apr 19 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.6-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.5-1mamba
- automatic version update by autodist

* Fri Mar 10 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.4-1mamba
- automatic version update by autodist

* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.2-1mamba
- automatic version update by autodist

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.1-1mamba
- automatic version update by autodist

* Tue Jan 10 2023 Automatic Build System <autodist@mambasoft.it> 1.2023.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.14-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.13-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.12-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Automatic Build System <autodist@mambasoft.it> 1.2022.11-1mamba
- automatic version update by autodist

* Mon Oct 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2022.10-1mamba
- package created using the webbuild interface
